Package org.apache.commons.math3.geometry.partitioning

# Class NodesSet<S extends Space>

java.lang.Object
org.apache.commons.math3.geometry.partitioning.NodesSet<S>

Type Parameters:
  `S` - Type of the space.

All Implemented Interfaces:
  `Iterable<BSPTree<S>>`

public class NodesSet<S extends Space> extends Object implements Iterable<BSPTree<S>>
Set of `BSP tree` nodes.

Since:
  3.4
See Also:
  - `BoundaryAttribute`

## Constructor Summary

Constructors
Constructor
Description
`NodesSet()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(BSPTree<S> node)`
Add a node if not already known.
`void`
`addAll(Iterable<BSPTree<S>> iterator)`
Add nodes if they are not already known.
`Iterator<BSPTree<S>>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### NodesSet

public NodesSet()
Simple constructor.

## Method Details

### add

public void add(BSPTree<S> node)
Add a node if not already known.

Parameters:
  `node` - node to add

### addAll

public void addAll(Iterable<BSPTree<S>> iterator)
Add nodes if they are not already known.

Parameters:
  `iterator` - nodes iterator

### iterator

public Iterator<BSPTree<S>> iterator()

Specified by:
  `iterator` in interface `Iterable<S extends Space>`